package org.studiorailgun;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.Test;
import org.studiorailgun.conversation.ConvAI;
import org.studiorailgun.conversation.evaluators.goal.GoalData.ConversationGoal;
import org.studiorailgun.conversation.tracking.Quote;

/**
 * Tests greeting
 */
public class GreetingTests {
    
    @Test
    public void testOtherGreeting(){
        Globals.init("./data/webs/test/web.json");
        
        ConvAI.simFrame("Hello");

        assertNotEquals(Globals.conversation.getGreetingData().getHaveGreeted().size(), 0);
    }

    @Test
    public void testGoal(){
        Globals.init("./data/webs/test/web.json");
        
        ConvAI.simFrame("Hello");

        assertEquals(Globals.conversation.getGoalData().getGoal(), ConversationGoal.GREET);
    }

    @Test
    public void testResponse(){
        Globals.init("./data/webs/test/web.json");
        
        Quote response = ConvAI.simFrame("Hello");

        assertNotEquals(response, null);
    }

}
